Bug 250022 - SELinux is preventing /usr/sbin/wpa_supplicant (NetworkManager_t) "rmdir" to wpa_supplicant (var_run_t).
SELinux is preventing /usr/sbin/wpa_supplicant (NetworkManager_t) "rmdir" to ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 13:22 EDT by Russell Harrison
Modified: 2008-06-16 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux_alert message (2.39 KB, text/plain)
2007-07-29 13:22 EDT, Russell Harrison
no flags Details

  None (edit)
Description Russell Harrison 2007-07-29 13:22:08 EDT
Description of problem:
Attempting to connect to a WEP 64/128-bit ASCII network I get a selinux_alert
which prevents access to the network.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-7.fc7
NetworkManager-glib-0.6.5-7.fc7
NetworkManager-gnome-0.6.5-7.fc7
selinux-policy-2.6.4-28.fc7
selinux-policy-targeted-2.6.4-28.fc7

How reproducible:
Every time.

Actual results:
Unable to connect to the network

Expected results:
Wireless network connection

Additional info:
Attaching selinux_alert error
Comment 1 Russell Harrison 2007-07-29 13:22:08 EDT
Created attachment 160200 [details]
selinux_alert message
Comment 2 Daniel Walsh 2008-04-22 15:30:50 EDT
Is the /var/run/ directory labeled correctly?

restorecon -R -v /var/run

Should clean it up.

Comment 3 Bug Zapper 2008-05-14 09:44:23 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:00:26 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.